From: Mart Lubbers Make sure your user is in the fuse group and setup the encfs share by doing this:
+PREREQUISITES
+ Install encfs and fuse
+# apt-get install fuse encfs
+ Install a cloud service(copy.com used here)(assuming ~/bin is in your path and running on a 64bits machine)
+ When using a different architecture just change x86_64 to x86 or armv6h in the client install script
+ If ~/bin is not in your path add to your bashrc(example using user: test):
+PATH=$PATH:/home/test/bin
+ Download and install the copy client for linux
+
+$ wget https://copy.com/install/linux/Copy.tgz
+$ mkdir ~/bin/copy; tar -xf Copy.tgz -C ~/bin/copy
+$ ln -s ~/bin/copy/x86_64/CopyConsole ~/bin/CopyConsole
+
+ SETUP
+
+$ mkdir ~/.copy.encr ~/copy
+$ encfs ~/.copy.encr ~/copy
+
+ When they ask use option p for paranoia and pick a password.
+ Create an account on copy.com and setup the client by typing this command
+$ CopyConsole -u=the_mail_you_signed_up_with -r=/home/your_linux_username/.copy.encr -p=the_password_you_signed_up_with
+ This creates a setup that does this automatically in the future
+ Let the daemon and the encfs autostart when you and only you are logged in by adding this to ~/.bashrc
+
+if ! mountpoint -q ~/copy; then
+ encfs ~/.copy.encr ~/copy
+fi
+if ! pidof CopyConsole >> /dev/null; then
+ CopyConsole -daemon 2>&1 1>/dev/null
+fi
+
+ Congratulations your setup is working.
+ When you want to stop the daemon you can kill the pid given by ~/.copy.pid.
+ From now on your computer or server will ask one time for you password when the first bash starts in your account.
This could work with any cloud service, just mount the folder it wil sync first with encfs
+ + diff --git a/archive/wlan-debian.html b/archive/wlan-debian.html new file mode 100644 index 0000000..8f35522 --- /dev/null +++ b/archive/wlan-debian.html @@ -0,0 +1,78 @@ + + +Install wpa_supplicant and wireless-tools(standard in most distros).
+
# apt-get install wireless-tools wpa_supplicant+
$ iwconfig+
Create the SSID selection script.
+ I've put mine in /etc/network/wifi/select
+
+#!/bin/sh +ifconfig [INTERFACE] up 1> /dev/null && { iwlist [INTERFACE] scan | grep -o "\".*\"" | tr -d \'\" | sort | uniq; grep -o "map\ .*" /etc/network/interfaces | awk '{print $2}'; } | sort | uniq -d | head -1 ++
# chmod +x /etc/network/wifi/select+
+mapping [INTERFACE] + script /etc/network/wifi/select + map [SSID]1 + map [SSID]2 + .. + map eduroam + +iface [SSID]1 inet dhcp +wpa_conf /etc/network/wifi/[SSID]1.conf + +iface [SSID]2 inet dhcp +wpa_conf /etc/network/wifi/[SSID]2.conf + +.. + +iface eduroam inet dhcp +wpa_conf /etc/network/wifi/eduroam.conf ++
# service networking restartworking restart+ And you can connect to a available network by running this command.
# ifup [INTERFACE]+ If you want to force an [SSID] you can run:
# ifup [INTERFACE]=[SSID]+ +
Standard wpa2 network configs can be created by running:
+
# wpa_passphrase [SSID] [PASSWORD] > /etc/network/wifi/[SSID].conf+
+network={ + ssid="eduroam" + key_mgmt=WPA-EAP + eap=TTLS + phase2="auth=MSCHAPV2" + ca_cert="/etc/ssl/certs/AddTrust_External_Root.pem" + identity="login@university.nl" + scan_ssid=1 + password="YOURPASSWORD" +} ++ If you don't want your password in a config you can also use a hash generated by this command. (Don't forget to remove it from ~/.bash_history afterwards)
$ echo -n [PASSWORD] | iconv -t UTF16LE | openssl md4+ You should replace the plaintext string with: "hash:[HASHOUTPUT]"
$ git clone https://github.com/monsieurvideo/get-flash-videos.git+ Install the dependencies: +
# apt-get install perl libmodule-find-perl libwww-mechanize-perl vlc+ Install the get_flash_videos script: +
+$ cd get-flash-videos/ +$ make +$ make install ++ Create a small script that combines these with vlc by adding this to bashrc or a shellscript in PATH the flag -A alsa could be different(when usig pulseaudio it can be omitted): +
+function ytview { + if [ "$#" -ne "1" ]; then + echo "usage $0 yturl" + else + get_flash_videos -q -f - $1 | cvlc -A alsa -V aa - + fi +} ++ Play a video by typing: +
$ ytview http://www.youtube.com/watch?v=QAUzWtLMnU0+ Some videos can't be downloaded, but most videos will just work. + + diff --git a/hashes.txt b/hashes.txt index b3cb722..47051b4 100644 --- a/hashes.txt +++ b/hashes.txt @@ -1,15 +1,12 @@ 3d85a9b435eb833de088e45c3f56e49c ./dvorak.html 9e5b7702d73bfb7febb24bf58f0e8d60 ./hashes.txt -90104db709d8c0c3b796e0e4a36b6b83 ./index.html +e93bffb77c9c45e1b3efdc4092d04e3d ./index.html 72ac29b74f3e09c551aa10a2a8d2581d ./lejos-ubuntu.html 0ba6cb2c3a9d7d8ba27406d215aa501e ./mart@martlubbers.net.asc -146f1bb6bed2adfd4d13f9644390db71 ./nsa-dropbox.html 75068866762dc200d6e185bfe9b3a2bf ./o.html ce31052406b3874b287e98c8a9477516 ./p.jpg 95b2932b7da95664dcef20097b1b58df ./put.bash 43eb61826bc538817b4c78c7f8d57019 ./README.md 4be5b32df3dedb74eeb758b233864fe6 ./robots.txt -c4eb5b90b5d47d5c7bfe9a80a80abe40 ./style.css +d41d8cd98f00b204e9800998ecf8427e ./style.css d69f225d06c3d7a417fb5e8159efc2d1 ./test.php -2ed34aa229468632cce58151c33d1ebc ./wlan-debian.html -d07dca8f45b3f046558216cf3ac96c28 ./youtube-term.html diff --git a/index.html b/index.html index 25426c4..0649305 100644 --- a/index.html +++ b/index.html @@ -46,37 +46,38 @@
2014-09-09: Introduction to the command line and bash session. LUGN
2014-07-08: Advanced usage of ssh. LUGN
-- Death/Doom metal
+
+ - Death/Doom metal
- Hacking
- Kung fu
- Linux
- - Pokémon